# skylab-ansible

Ansible configs for the Skylab Homelab

Main entrypoint is through the `ansible` script in this repository. The script sets up
basic environment variables to avoid conflicts with other environments and sets the
inventory.

Bootstrap checklist:

1. Install a supported operating system: [Rocky Linux](https://rockylinux.org)
2. During installation create a user named `ansible` with any password
3. After installation copy SSH key to the `ansible` user
4. Enable password-less sudo access for the `ansible` user with this command:

```bash
sudo tee /etc/sudoers.d/30-ansible <<<"ansible ALL=(ALL) NOPASSWD:ALL"
```

5. Change the UID/GID of the `ansible` user/group to `1400` with these commands:

```bash
sudo usermod -u 1400 ansible
sudo groupmod -g 1400 ansible
```
